> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Customer

> Create a new customer



## OpenAPI

````yaml POST /auth/customers
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /auth/customers:
    post:
      description: Create a new customer
      requestBody:
        content:
          application/json:
            schema:
              required:
                - firstName
                - lastName
                - phoneNumber
                - optOutMarketingSms
              type: object
              properties:
                firstName:
                  type: string
                  description: Customer's first name
                lastName:
                  type: string
                  description: Customer's last name
                phoneNumber:
                  type: string
                  description: Phone number must have 10 digits
                email:
                  type: string
                  description: Customer's email
                businessId:
                  type: number
                  description: Business id to associate the customer with
                optOutMarketingSms:
                  type: boolean
                  description: Whether the customer has opted out of the marketing messages
                isCommercial:
                  type: boolean
                  description: Whether the customer should be commercial
                isInvoicingEnabled:
                  type: boolean
                  description: Set to true when the customer can be invoiced
                businessName:
                  type: string
                  description: >-
                    Customer Business's name. Required field when isCommercial
                    and isInvoicingEnabled are set as true
        required: true
      responses:
        '200':
          description: OTP code sent
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Phone number is required. Phone number must have 10 digits.
      servers:
        - url: https://api3.trycents.com/api/v1
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string

````